commit:     d1d643a18243311bfdc4fa3135c820a4ee2bc4a1
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Mon Jul 24 07:38:23 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jul 30 09:34:03 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1d643a1

dev-python/testpath: Version bump to 0.3.1

Package-Manager: Portage-2.3.6, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/5196

 dev-python/testpath/Manifest                       |  1 +
 .../testpath/files/testpath-0.2-setup.py.patch     |  2 +-
 dev-python/testpath/testpath-0.3.1.ebuild          | 49 ++++++++++++++++++++++
 3 files changed, 51 insertions(+), 1 deletion(-)

diff --git a/dev-python/testpath/Manifest b/dev-python/testpath/Manifest
index 8e4016b4810..7ebf51c21c0 100644
--- a/dev-python/testpath/Manifest
+++ b/dev-python/testpath/Manifest
@@ -1,2 +1,3 @@
 DIST testpath-0.2.tar.gz 13732 SHA256 
a5388cc7c8370b1f11298c1d513b3d2b9e2f390607a7c39963e6e3ba9f1b7012 SHA512 
cc211bdc8f31ff4c286324e37bbce7fd84e19447d9735f396ce67f7568dd1d133be732c1fd7a08928c94566279d0f293a0caeed6a58ae6cd3dc293035fe164ea
 WHIRLPOOL 
6b87b1c5ba590e6b19968e823dee22d7bbe0411124c1290593eb5efd78b5af06c51853d3359f339c4ca60b2842c409a1fcd0ff45c59f2e7e07f557534d78fcaa
+DIST testpath-0.3.1.tar.gz 91333 SHA256 
acd1e9ae3582e03b806ebcc40fbb2c660032d3f3ad991e5460e6856d69e6ba12 SHA512 
ab826cfb76d9a3ed6f1b178240f6bf61439bd792be26b5ad407b5c3efaa455b48965ceaf17e4ca6a4bc706465a8ed1c6c31a1572df5beeea2bb8db7814dc04f0
 WHIRLPOOL 
b8eb5eedcee129a0a8e76d8739d1c036d10bfb0a230a089c74e149ee8aea63eb681ce70054f3abc852de8c81709e989930e10eecea46931b05f2425d49594497
 DIST testpath-0.3.tar.gz 91250 SHA256 
01cc3cd59a59d42b238252774b9ebfc9d2af1d0d9bac81d7801409f570b1cda5 SHA512 
71a3266e17616c4df4a4c465151e9d48b89f573e4562132e85982b62446396884a270a32b5d4956aac1f0be1a00096cab9d0dc1718ae8b6312b0436eca683bdf
 WHIRLPOOL 
cc44d374625ff39d3ac579fc19eb6ae20b4d7e91cdf614784c1fc46a9324c7f140ea2f807c106a0e8ac31138de854671c59ec365da7fd9985bb4fbdd3a3a6c94

diff --git a/dev-python/testpath/files/testpath-0.2-setup.py.patch 
b/dev-python/testpath/files/testpath-0.2-setup.py.patch
index 065e8e5e85a..a1bf41acd35 100644
--- a/dev-python/testpath/files/testpath-0.2-setup.py.patch
+++ b/dev-python/testpath/files/testpath-0.2-setup.py.patch
@@ -1,7 +1,7 @@
 Patch to bring back setup.py from
 
https://github.com/jupyter/testpath/blob/086bd1bd1ec7da1b3dacfed1705c0c99fae231b3/setup.py
 --- /dev/null
-+++ setup.py
++++ b/setup.py
 @@ -0,0 +1,22 @@
 +from distutils.core import setup
 +

diff --git a/dev-python/testpath/testpath-0.3.1.ebuild 
b/dev-python/testpath/testpath-0.3.1.ebuild
new file mode 100644
index 00000000000..e00dcfd0d7d
--- /dev/null
+++ b/dev-python/testpath/testpath-0.3.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Test utilities for code working with files and commands"
+HOMEPAGE="http://jupyter.org";
+SRC_URI="https://github.com/jupyter/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc test"
+
+DEPEND="
+       test? (
+               dev-python/pathlib2[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.2-setup.py.patch )
+
+python_prepare_all() {
+       # Prevent un-needed download during build
+       if use doc; then
+               sed -e "/^    'sphinx.ext.intersphinx',/d" -i doc/conf.py || die
+       fi
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       if use doc; then
+               emake -C doc html
+               HTML_DOCS=( doc/_build/html/. )
+       fi
+}
+
+python_test() {
+       distutils_install_for_testing
+       cd "${TEST_DIR}"/lib || die
+       cp -r "${S}"/tests "${TEST_DIR}"/lib/ || die
+       py.test || die
+}

Reply via email to